/*
 * Copyright (C) 2017 Robert Bosch GmbH Copyright (C) 2017 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { ActivatedRouteSnapshot } from '@angular/router';
import { RouterTestingModule } from '@angular/router/testing';
import { BciSharedModule, BreadcrumbsService } from '@bci-web-core/core';
import { DummyComponent } from './dummy.component';

class BreadcrumbsServiceMock {
  // eslint-disable-next-line no-empty-function, @typescript-eslint/no-unused-vars
  public setTemporaryTitleForRoute(route: ActivatedRouteSnapshot, title: string) {}
}

describe('DummyComponent', () => {
  let component: DummyComponent;
  let fixture: ComponentFixture<DummyComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [BciSharedModule, RouterTestingModule],
        declarations: [DummyComponent],
        providers: [{ provide: BreadcrumbsService, useClass: BreadcrumbsServiceMock }],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(DummyComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
